package com.inspect.metadata.eqpbook.domain.vo;

import com.inspect.base.core.annotation.Excel;
import com.inspect.base.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class PatrolResult extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private Long lineId;
    @Excel(
            name = "巡视设备名称"
    )
    private String patroldeviceName;
    @Excel(
            name = "巡视设备编码"
    )
    private String patroldeviceCode;
    @Excel(
            name = "任务名称"
    )
    private String taskName;
    @Excel(
            name = "任务编码"
    )
    private String taskCode;
    @Excel(
            name = "设备点位名称"
    )
    private String deviceName;
    @Excel(
            name = "设备点位ID"
    )
    private String deviceId;
    @Excel(
            name = "值类型"
    )
    private String valueType;
    @Excel(
            name = "值"
    )
    private String value;
    @Excel(
            name = "值带单位"
    )
    private String valueUnit;
    @Excel(
            name = "单位"
    )
    private String unit;
    private String time;
    @Excel(
            name = "识别类型"
    )
    private String recognitionType;
    @Excel(
            name = "采集文件类型"
    )
    private String fileType;
    @Excel(
            name = "文件名称 "
    )
    private String filePath;
    @Excel(
            name = "图像框"
    )
    private String rectangle;
    @Excel(
            name = "巡视任务执行ID"
    )
    private String taskPatrolledId;
    @Excel(
            name = "结论"
    )
    private String valid;
    @Excel(
            name = "审核状态"
    )
    private String patrolStatus;
    @Excel(
            name = " 审核人"
    )
    private String checkPerson;
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @Excel(
            name = " 审核时间"
    )
    private String checkTime;
    private String checkResult;
    @Excel(
            name = "实物ID"
    )
    private String materialId;
    @Excel(
            name = "巡视结果数据来源"
    )
    private String dataType;
    @Excel(
            name = "阈值"
    )
    private String threshold;
    private String taskId;
    private String presetPosCode;
    private String describea;
    private List<String> infraRed;
    private List<String> visible;
    private List<String> audio;
    private List<String> video;
    private List<String> photo;
    private String areaName;
    private String areaType;
    private String deviceNam;
    private String devicetypName;
    private String mainId;
    private String defectType;
    private String beginTime;
    private String endTime;
    private String alarmType;
    private String resultContent;
    private String devNo;
    private String componentName;
    private String componentId;
    private String bayName;
    private String areaId;
    private String mainDevId;
    private String warnlevel;
    private String photoUrl;
    private String videoUrl;
    private String desc;
    private String deviceCode;
    private String devType;
    private String phase;
    private String status;
    private String pointStatus;
    private String suggestion;
    private String resStatus;
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date createTime;
    private String content;
    private List<String> algId;
    private String patrolpointName;
    private String channelCode;
    private String requestId;

    public String getDescribea() {
        return this.describea;
    }

    public void setDescribea(String describea) {
        this.describea = describea;
    }

    public String getPresetPosCode() {
        return this.presetPosCode;
    }

    public void setPresetPosCode(String presetPosCode) {
        this.presetPosCode = presetPosCode;
    }

    public String getRequestId() {
        return this.requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getComponentId() {
        return this.componentId;
    }

    public void setComponentId(String componentId) {
        this.componentId = componentId;
    }

    public List<String> getAlgId() {
        return this.algId;
    }

    public void setAlgId(List<String> algId) {
        this.algId = algId;
    }

    public String getContent() {
        return this.content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDeviceCode() {
        return this.deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDevType() {
        return this.devType;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public String getPhase() {
        return this.phase;
    }

    public void setPhase(String phase) {
        this.phase = phase;
    }

    public String getResStatus() {
        return this.resStatus;
    }

    public void setResStatus(String resStatus) {
        this.resStatus = resStatus;
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPointStatus() {
        return this.pointStatus;
    }

    public void setPointStatus(String pointStatus) {
        this.pointStatus = pointStatus;
    }

    public String getSuggestion() {
        return this.suggestion;
    }

    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }

    public String getDesc() {
        return this.desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getPhotoUrl() {
        return this.photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public String getVideoUrl() {
        return this.videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public String getWarnlevel() {
        return this.warnlevel;
    }

    public void setWarnlevel(String warnlevel) {
        this.warnlevel = warnlevel;
    }

    public String getAreaId() {
        return this.areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getMainDevId() {
        return this.mainDevId;
    }

    public void setMainDevId(String mainDevId) {
        this.mainDevId = mainDevId;
    }

    public String getBayName() {
        return this.bayName;
    }

    public void setBayName(String bayName) {
        this.bayName = bayName;
    }

    public String getComponentName() {
        return this.componentName;
    }

    public void setComponentName(String componentName) {
        this.componentName = componentName;
    }

    public String getDevNo() {
        return this.devNo;
    }

    public void setDevNo(String devNo) {
        this.devNo = devNo;
    }

    public String getResultContent() {
        return this.resultContent;
    }

    public void setResultContent(String resultContent) {
        this.resultContent = resultContent;
    }

    public String getAlarmType() {
        return this.alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getDefectType() {
        return this.defectType;
    }

    public void setDefectType(String defectType) {
        this.defectType = defectType;
    }

    public String getBeginTime() {
        return this.beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return this.endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getMainId() {
        return this.mainId;
    }

    public void setMainId(String mainId) {
        this.mainId = mainId;
    }

    public String getTaskId() {
        return this.taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getAreaName() {
        return this.areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaType() {
        return this.areaType;
    }

    public void setAreaType(String areaType) {
        this.areaType = areaType;
    }

    public String getDeviceNam() {
        return this.deviceNam;
    }

    public void setDeviceNam(String deviceNam) {
        this.deviceNam = deviceNam;
    }

    public String getDevicetypName() {
        return this.devicetypName;
    }

    public void setDevicetypName(String devicetypName) {
        this.devicetypName = devicetypName;
    }

    public List<String> getInfraRed() {
        return this.infraRed;
    }

    public void setInfraRed(List<String> infraRed) {
        this.infraRed = infraRed;
    }

    public List<String> getVisible() {
        return this.visible;
    }

    public void setVisible(List<String> visible) {
        this.visible = visible;
    }

    public List<String> getAudio() {
        return this.audio;
    }

    public void setAudio(List<String> audio) {
        this.audio = audio;
    }

    public List<String> getVideo() {
        return this.video;
    }

    public void setVideo(List<String> video) {
        this.video = video;
    }

    public List<String> getPhoto() {
        return this.photo;
    }

    public void setPhoto(List<String> photo) {
        this.photo = photo;
    }

    public String getMaterialId() {
        return this.materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public String getDataType() {
        return this.dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getThreshold() {
        return this.threshold;
    }

    public void setThreshold(String threshold) {
        this.threshold = threshold;
    }

    public String getCheckResult() {
        return this.checkResult;
    }

    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult;
    }

    public String getCheckPerson() {
        return this.checkPerson;
    }

    public void setCheckPerson(String checkPerson) {
        this.checkPerson = checkPerson;
    }

    public String getCheckTime() {
        return this.checkTime;
    }

    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    public void setLineId(Long lineId) {
        this.lineId = lineId;
    }

    public Long getLineId() {
        return this.lineId;
    }

    public void setPatroldeviceName(String patroldeviceName) {
        this.patroldeviceName = patroldeviceName;
    }

    public String getPatroldeviceName() {
        return this.patroldeviceName;
    }

    public void setPatroldeviceCode(String patroldeviceCode) {
        this.patroldeviceCode = patroldeviceCode;
    }

    public String getPatroldeviceCode() {
        return this.patroldeviceCode;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskName() {
        return this.taskName;
    }

    public void setTaskCode(String taskCode) {
        this.taskCode = taskCode;
    }

    public String getTaskCode() {
        return this.taskCode;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceName() {
        return this.deviceName;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceId() {
        return this.deviceId;
    }

    public void setValueType(String valueType) {
        this.valueType = valueType;
    }

    public String getValueType() {
        return this.valueType;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getValue() {
        return this.value;
    }

    public void setValueUnit(String valueUnit) {
        this.valueUnit = valueUnit;
    }

    public String getValueUnit() {
        return this.valueUnit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnit() {
        return this.unit;
    }

    public String getTime() {
        return this.time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public void setRecognitionType(String recognitionType) {
        this.recognitionType = recognitionType;
    }

    public String getRecognitionType() {
        return this.recognitionType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getFileType() {
        return this.fileType;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFilePath() {
        return this.filePath;
    }

    public void setRectangle(String rectangle) {
        this.rectangle = rectangle;
    }

    public String getRectangle() {
        return this.rectangle;
    }

    public void setTaskPatrolledId(String taskPatrolledId) {
        this.taskPatrolledId = taskPatrolledId;
    }

    public String getTaskPatrolledId() {
        return this.taskPatrolledId;
    }

    public void setValid(String valid) {
        this.valid = valid;
    }

    public String getValid() {
        return this.valid;
    }

    public void setPatrolStatus(String patrolStatus) {
        this.patrolStatus = patrolStatus;
    }

    public String getPatrolStatus() {
        return this.patrolStatus;
    }

    public String getPatrolpointName() {
        return this.patrolpointName;
    }

    public void setPatrolpointName(String patrolpointName) {
        this.patrolpointName = patrolpointName;
    }

    public String getChannelCode() {
        return this.channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String toString() {
        return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("lineId", this.getLineId()).append("patroldeviceName", this.getPatroldeviceName()).append("patroldeviceCode", this.getPatroldeviceCode()).append("taskName", this.getTaskName()).append("taskCode", this.getTaskCode()).append("deviceName", this.getDeviceName()).append("deviceId", this.getDeviceId()).append("valueType", this.getValueType()).append("value", this.getValue()).append("valueUnit", this.getValueUnit()).append("unit", this.getUnit()).append("time", this.getTime()).append("recognitionType", this.getRecognitionType()).append("fileType", this.getFileType()).append("filePath", this.getFilePath()).append("rectangle", this.getRectangle()).append("taskPatrolledId", this.getTaskPatrolledId()).append("valid", this.getValid()).append("patrolStatus", this.getPatrolStatus()).append("patrolpointName", this.getPatrolpointName()).append("channelCode", this.getChannelCode()).toString();
    }
}
